DO $$
DECLARE
	_path  character varying(256) := 'patch-2026_05_05-AlterMenuTails';
	_build integer := 16636;
BEGIN
	IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Path" = _path) THEN
		RETURN;
	END IF;

	IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Build" >= _build) THEN
		RETURN;
	END IF;

	BEGIN
       	  ALTER TABLE public."MenuTails" ADD column IF NOT exists "CustomerId" bigint NULL;


	EXCEPTION
		WHEN OTHERS THEN
			RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
	END;
END;
$$;
